/*
 * timer.c
 *
 *  Created on: Nov 7, 2011
 *      Author: tkl
 */

#include <stdint.h>

#include <avr/io.h>
#include <avr/interrupt.h>

#include "Board.h"

#include "uart.h"
#include "timer.h"

//-----------------------------------------------------------------------------
void init_timer(void) {
	OCR1A = (F_CPU / 1000); // 3686400 / 1000 = 3686 -> 0x0E66

#if 0
    // for toggeling OCR1A & OCR1B
    DDRD |= (1 << DDD5);
    DDRE |= (1 << DDE2);
    TCCR1A |= (1 << COM1A0);
#endif

    TCCR1B |= (uint8_t) ((1 << WGM12) | (1 << CS10));
    TIMSK1 |= (uint8_t) (1 << OCIE1A);
}

//-----------------------------------------------------------------------------
ISR(TIMER1_COMPA_vect) {
	uart_puts("int\r\n");
}
